package com.isu.gaswellwatch.enums;


public enum LogType {

    /**
     * 0:登陆日志
     */
    LOGIN(0, "用户登录"),
    /**
     * 4:导出操作
     */
    LOGOUT(1, "用户注销"),

    /**
     * 1:新增操作
     */
    ADD(2, "新增操作"),

    /**
     * 2:删除操作
     */
    DELETE(3, "删除操作"),

    /**
     * 3:修改操作
     */
    UPDATE(4, "修改操作"),

    /**
     * 4:导出操作
     */
    EXPORT(5, "导出操作"),

    /**
     * 5.其它操作
     */
    OPERATION(6, "其他操作");

    private Integer val;

    private String desc;

    public Integer getVal() {
        return val;
    }

    public void setVal(Integer val) {
        this.val = val;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    LogType(Integer val, String desc) {
        this.val = val;
        this.desc = desc;
    }

    public static boolean contains(Integer i) {
        LogType[] values = values();
        for (LogType value : values) {
            if (value.val.equals(i)) {
                return true;
            }
        }
        return false;
    }

    public static String getDescription(Integer i) {
        if (contains(i)) {
            LogType[] values = values();
            for (LogType value : values) {
                if (value.val.equals(i)) {
                    return value.getDesc();
                }
            }
        }
        return null;
    }
}